Saltar al contenido principal
PUT
/
v1
/
planning
/
salesOrders
/
{orderReference}
Edit an existing Sales Order
curl --request PUT \
  --url https://api.bold-factory.com/v1/planning/salesOrders/{orderReference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerReference": "<string>",
  "code": "<string>",
  "name": "<string>",
  "notes": "<string>",
  "codeForCustomer": "<string>",
  "orderedAt": "2023-11-07T05:31:56Z"
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

orderReference
string
requerido

Cuerpo

application/json
customerReference
string
requerido
code
string
requerido
name
string
requerido
notes
null | string
codeForCustomer
null | string
orderedAt
null | string<date-time>

Respuesta

No Content